### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-app/deprecated/ecl-app-harmonised/ecl-app-harmonised.component.ts`

### Deprecated

Please use EclAppComponent instead

### Extends

`EclAppComponentBase`

### Metadata

selector | `ecl-app-harmonised`
templateUrl | `./ecl-app-harmonised.component.html`

### Index

###### Properties

- eclLanguageList
- eclSiteHeader
- Public languages

###### Outputs

- languageDismiss

### Constructor

`constructor(config: GlobalConfig, eclLanguageService: EclLanguageService, i18nService: I18nService, cd: ChangeDetectorRef)`

Parameters :

Name | Type | Optional
config | `GlobalConfig` | No
eclLanguageService | `EclLanguageService` | No
i18nService | `I18nService` | No
cd | `ChangeDetectorRef` | No

### Outputs

languageDismiss
Type : `EventEmitter`

### Properties

eclLanguageList
Type : `EclLanguageListComponent`
Decorators : `@ViewChild(EclLanguageListComponent)`

eclSiteHeader
Type : `EclSiteHeaderComponentBase`
Decorators : `@ContentChild(EclSiteHeaderHarmonisedComponent)`

Public languages
Type : `Array<EclLanguage>`
Default value : `[]`

# results matching ""

# No results matching ""